<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Lista</title>
	
<script
  src="https://code.jquery.com/jquery-2.2.4.min.js"
  integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44="
  crossorigin="anonymous"></script>
</head>
<body>

	<div id="contenedor">
		<div id="paginacion" style="    display: block;
    position: relative;
    width: 600px;
    height: 50px;"> 
			<div id="btn_ante" style="    float: left;display: none;
    width: 60px;
    height: 22px;
    background-color: aqua;">Anterior</div>
			<div id="btn_sigui" style="    float: left;display: block;
    width: 60px;
    height: 22px;
    background-color: azure;" >Siguiente</div>
		</div>
			<div id="tabla_funcio">
				<table id="tablaAltura" style="border: 1px solid black;border-collapse: collapse;">
				<input id="buscar" type="text" onkeyup="myFunction()" placeholder="filtrar por centro" />
					<thead >
						<tr>
							<th style='border: 1px solid black;'>Regional</th>
							<th style='border: 1px solid black;'>Centro</th>
							<th style='border: 1px solid black;'>Dirección</th>
							<th style='border: 1px solid black;'>Contacto</th>
							<th style='border: 1px solid black;'>Teléfono</th>
							<th style='border: 1px solid black;'>Correo</th>
						</tr>
					</thead>
					<tbody id="cuerpoTabla">
					</tbody>
				</table>			
		</div>
	</div>
	<script>
		//paginacion
		var inicio=0;
		var fin=10;
		var items= new Array();
		$("#btn_ante").click(function(){
			var tbl_bodyPagina="";
			$("#btn_sigui").show();
			if(inicio>=10){
			   	inicio-=10;
		 		fin-=10;
			   }
                if(inicio<=0){
				   $("#btn_ante").hide();
			   }
			//console.log(inicio+" anterior "+fin);
			for(var i=inicio;i<fin;i++){
				tbl_bodyPagina+=items[i];
				//console.log(items[i]);
			};
			 $("#tabla_funcio tbody").html(tbl_bodyPagina);
			
		});
		
		$("#btn_sigui").click(function(){
			var tbl_bodyPagina="";
			$("#btn_ante").show();
			if(inicio<items.length-10){
			   	inicio+=10;
		 		fin+=10;
			   }
            if(fin>=items.length){
				   $("#btn_sigui").hide();
			   }	
			if(fin >items.length){
			  // fin=items.length;
			   }
			//console.log(inicio+" siguiente "+fin);
            //console.log(Math.floor(inicio, 1));
			for(var i=inicio;i<fin;i++){
				
                if(items[i]!=undefined){
                   
                   tbl_bodyPagina+=items[i];
                    //console.log(items[i]);
                   }
                
				
			};
			 $("#tabla_funcio tbody").html(tbl_bodyPagina);
		});
		//obtener de jason
		$.getJSON("list.json",function(data){
			var tbl_body="";
			var tbl_bodyPagina="";
			var odd_even=false;
			$.each(data,function(){
				$.each(this,function(k,v){
					var tbl_row="";
					$.each(v,function(){
						tbl_row += "<td style='border: 1px solid black;'>"+this+"</td>";
					})				
					 tbl_body ="<tr>"+ tbl_row+"</tr>";  
					items.push(tbl_body);
				})
							 
			})
			//console.log(tbl_body);
			for(var i=inicio;i<fin;i++){
				tbl_bodyPagina+=items[i];
			};
			 $("#tabla_funcio tbody").html(tbl_bodyPagina);
		});	
		function myFunction() {
			  // Declare variables 
			  var input, filter, table, tr, td, i;
			  input = document.getElementById("buscar");
			  filter = input.value.toUpperCase();
			  table = document.getElementById("tablaAltura");
			  tr = table.getElementsByTagName("tr");
				console.log(tr.length);
			  // Loop through all table rows, and hide those who don't match the search query
			  for (i = 0; i < tr.length; i++) {
				  //filtra por primera columna
				td = tr[i].getElementsByTagName("td")[1];
				//  console.log(td);
				if (td) {
				  if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
					tr[i].style.display = "";
				  } else {
					tr[i].style.display = "none";
				  }
				} 
			  }
		}
	</script>
</body>
</html>